# Get editor completions based on the config schema
"$schema" = 'https://starship.rs/config-schema.json'
# Minimal left prompt
format = """$directory$character"""
# Right prompt
right_format = """$git_branch$git_commit$git_status$python$c"""

# Inserts a blank line between shell prompts
add_newline = true

# Replace the '❯' symbol in the prompt with '➜'
[character] # The name of the module we are configuring is 'character'
success_symbol = '[❯ ](bold green)' # The 'success_symbol' segment is being set to '➜' with the color 'bold green'

# Git module
[git_branch]
format =  '[$symbol$branch(:$remote_branch)]($style)'

# Disable the package module, hiding it from the prompt completely
[package]
disabled = false 
